[Language]
SupportLanguage="US,JP,CZ,DE,DK,ES,FI,FR,GR,HU,IT,NL,NO,PL,PT,RU,SE,KR,TH,CN,TW,TR,AR,ID"
DefaultLanguage="US"
EULADIR="Res\EULA"
AppStringDIR="Res\String"

[Startup]
AppName="Canon IJ Network Scanner Selector EX"
ProductName="CNMNSST.exe"
Version="1.0.0.16"
EULA="1"
FolderSelect="0"
MinimumSize="10"
MaxPathLen="230"

[install folder]
FolderName="IJ Network Scanner Selector EX"

[desktop shortcut]
Shortcut="0"
DSCInfo="Canon IJ Network Scanner Selector EX" "$InsFolder$\CNMNSST.exe" "$InsFolder$" "" "INST_NML"

[group shortcut]
GroupShortcut="1"
GSCFolderName="Canon Utilities\IJ Network Scanner Selector EX"
GSCInfo="IJ Network Scanner Selector EX" "$InsFolder$\CNMNSST.exe" "$InsFolder$" "" "INST_NML"
GSCInfo="#@STR_UNINSTALLER_NAME@#" "$InsFolder$\CNMNSU.exe" "$SysFolder$" "/UninstallRemove $InsFolder$\uninst.ini" "INST_NML"

[uninstall info]
DisplayName="Canon IJ Network Scanner Selector EX"
UninstallName="Canon_IJ_Network_Scanner_Selector_EX"
MakeISU="0"

[app path info]
AppPathsName="CNMNSST.exe" "$InsFolder$\CNMNSST.exe" "$InsFolder$"

[uninstall target - uninstall info]
CtrlExApp="1"
UNInfo="CNMNSST.exe" "Canon_IJ_Network_Scanner_Selector_EX" "Canon IJ Network Scanner Selector EX" "1156" "" "10000"

[OS]
WIN95="0"
WIN98="0"
WINME="0"
WINNT="0"
WIN2K="0"
WINXP="1"
WINNW="1"

[DOCICON]

[Files]
FILE="Data2.Cab\CNMNSST.exe" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_ENU.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_JPN.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_ARA.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_CHS.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_CHT.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_CSY.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_DAN.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_DEU.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_ELL.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_ESP.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_FIN.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_FRA.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_HUN.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_IND.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_ITA.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_KOR.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_NLD.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_NOR.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_PLK.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_PTB.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_RUS.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_SVE.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_THA.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
FILE="Data2.Cab\CNSS_TRK.dll" "INST_APO" "INST_NON" "INST_REQ" "INST_ERR" "INST_DEL" "INST_REGNON" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"

REGI="HLM" "Software\Canon\IJNetworkScannerSelectorEX" "AppPath" "REG_SZ" "$InsFolder$\CNMNSST.exe" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
REGI="HLM" "Software\Canon\IJNetworkScannerSelectorEX" "InstallerLID" "REG_SZ" "$LanguageID$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
REGI="HLM" "Software\Canon\IJNetworkScannerSelectorEX" "Language" "REG_SZ" "$Language$" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
REGI="HLM" "Software\Canon\IJNetworkScannerSelectorEX" "SupportVersion" "REG_SZ" "17.1" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"
REGI="HLM" "Software\Microsoft\Windows\CurrentVersion\Run" "IJNetworkScannerSelectorEX" "REG_SZ" "$InsFolder$\CNMNSST.exe /FORCE" "OS(OS_INDEPENDENT)" "LANG(LANG_INDEPENDENT)"

[UNINSTALL ONLY]
UREGIK="HCU" "Software\Canon\IJNetworkScannerSelectorEX" "DELETE_UDHLD"
UREGIK="HCU" "Software\Canon" "DELETE_EMPTY"
UREGIK="HUS" "Software\Canon\IJNetworkScannerSelectorEX" "DELETE_UDHLD"
UREGIK="HUS" "Software\Canon" "DELETE_EMPTY"

[InstallBeforeCall]

[InstallAfterCall]

[InstallEndCall]
CallEntry="INST_APO" "CNMNSST.exe" "OS(OS_INDEPENDENT)" "INST_ERR" "CALL_ONLY" "EXE_NOWAIT_MSETUPNOCALL" "/FORCE" "0"

[UninstallBeforeCall]

[UninstallAfterCall]

